Subject: Re: What is CONFIG_RTAS ? Which CPUs are concerned

From: Segher Boessenkool <[email-masked]>
Date: Mon, 28 Jan 2019 12:32:32 -0600

On Mon, Jan 28, 2019 at 07:20:43PM +0100, Christophe Leroy wrote:
> I'm wondering what CONFIG_RTAS is. It makes use of one of the SPRN_SPRG, 
> ie SPRN_SPRG2.
> 
> What are the CPUs concerned by RTAS ? Is there any of the old CPUs which 
> have only 4 SPRGs (eg the 601), or could we use one in SPRG4-7 for it 
> and reuse SPRG2 for something else ?

RTAS (run-time abstraction services) is as old as PowerPC itself.  Yes there
is RTAS on various 6xx, and those do not have any SPRGs not defined in the
architecture.

RTAS is a feature of the firmware, or of the platform you could say.  Not a
feature of CPUs.

Segher